Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface WebResourceCollectionType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  WebResourceCollectionTypeImpl

    public interface WebResourceCollectionType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `web-resource-collectionType` xsd type

Original Documentation:

The web-resource-collectionType is used to identify the
resources and HTTP methods on those resources to which a
security constraint applies. If no HTTP methods are specified,
then the security constraint applies to all HTTP methods.
If HTTP methods are specified by http-method-omission
elements, the security constraint applies to all methods
except those identified in the collection.
http-method-omission and http-method elements are never
mixed in the same collection.
Used in: security-constraint

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getHttpMethodList()` Returns all `http-method` elements
`java.util.List<java.lang.String>` | `getHttpMethodOmissionList()` Returns all `http-method-omission` elements
`java.util.List<java.lang.String>` | `getUrlPatternList()` Returns all `url-pattern` elements
`java.lang.String` | `getWebResourceName()` Returns the `web-resource-name` element
`WebResourceCollectionType<T>` | `removeAllDescription()` Removes the `description` element
`WebResourceCollectionType<T>` | `removeAllHttpMethod()` Removes the `http-method` element
`WebResourceCollectionType<T>` | `removeAllHttpMethodOmission()` Removes the `http-method-omission` element
`WebResourceCollectionType<T>` | `removeAllUrlPattern()` Removes the `url-pattern` element
`WebResourceCollectionType<T>` | `removeWebResourceName()` Removes the `web-resource-name` element
`WebResourceCollectionType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`WebResourceCollectionType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`WebResourceCollectionType<T>` | `setHttpMethod(java.lang.String httpMethod)` Creates a new `http-method` element
`WebResourceCollectionType<T>` | `setHttpMethodList(java.lang.String... values)` Creates for all String objects representing `http-method` elements, a new `http-method` element
`WebResourceCollectionType<T>` | `setHttpMethodOmission(java.lang.String httpMethodOmission)` Creates a new `http-method-omission` element
`WebResourceCollectionType<T>` | `setHttpMethodOmissionList(java.lang.String... values)` Creates for all String objects representing `http-method-omission` elements, a new `http-method-omission` element
`WebResourceCollectionType<T>` | `setUrlPattern(java.lang.String urlPattern)` Creates a new `url-pattern` element
`WebResourceCollectionType<T>` | `setUrlPatternList(java.lang.String... values)` Creates for all String objects representing `url-pattern` elements, a new `url-pattern` element
`WebResourceCollectionType<T>` | `setWebResourceName(java.lang.String webResourceName)` If not already created, a new `web-resource-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setWebResourceName

    WebResourceCollectionType<T> setWebResourceName(java.lang.String webResourceName)

  If not already created, a new `web-resource-name` element with the given value will be created. Otherwise, the existing `web-resource-name` element will be updated with the given value.

  Returns:
    the current instance of `WebResourceCollectionType`

### removeWebResourceName

    WebResourceCollectionType<T> removeWebResourceName()

  Removes the `web-resource-name` element

  Returns:
    the current instance of `WebResourceCollectionType`

### getWebResourceName

    java.lang.String getWebResourceName()

  Returns the `web-resource-name` element

  Returns:
    the node defined for the element `web-resource-name`

### setDescription

    WebResourceCollectionType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `WebResourceCollectionType`

### setDescriptionList

    WebResourceCollectionType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllDescription

    WebResourceCollectionType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `WebResourceCollectionType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setUrlPattern

    WebResourceCollectionType<T> setUrlPattern(java.lang.String urlPattern)

  Creates a new `url-pattern` element

  Returns:
    the current instance of `WebResourceCollectionType`

### setUrlPatternList

    WebResourceCollectionType<T> setUrlPatternList(java.lang.String... values)

  Creates for all String objects representing `url-pattern` elements, a new `url-pattern` element

  Parameters:
    `list` - of `url-pattern` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllUrlPattern

    WebResourceCollectionType<T> removeAllUrlPattern()

  Removes the `url-pattern` element

  Returns:
    the current instance of `WebResourceCollectionType`

### getUrlPatternList

    java.util.List<java.lang.String> getUrlPatternList()

  Returns all `url-pattern` elements

  Returns:
    list of `url-pattern`

### setHttpMethod

    WebResourceCollectionType<T> setHttpMethod(java.lang.String httpMethod)

  Creates a new `http-method` element

  Returns:
    the current instance of `WebResourceCollectionType`

### setHttpMethodList

    WebResourceCollectionType<T> setHttpMethodList(java.lang.String... values)

  Creates for all String objects representing `http-method` elements, a new `http-method` element

  Parameters:
    `list` - of `http-method` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllHttpMethod

    WebResourceCollectionType<T> removeAllHttpMethod()

  Removes the `http-method` element

  Returns:
    the current instance of `WebResourceCollectionType`

### getHttpMethodList

    java.util.List<java.lang.String> getHttpMethodList()

  Returns all `http-method` elements

  Returns:
    list of `http-method`

### setHttpMethodOmission

    WebResourceCollectionType<T> setHttpMethodOmission(java.lang.String httpMethodOmission)

  Creates a new `http-method-omission` element

  Returns:
    the current instance of `WebResourceCollectionType`

### setHttpMethodOmissionList

    WebResourceCollectionType<T> setHttpMethodOmissionList(java.lang.String... values)

  Creates for all String objects representing `http-method-omission` elements, a new `http-method-omission` element

  Parameters:
    `list` - of `http-method-omission` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllHttpMethodOmission

    WebResourceCollectionType<T> removeAllHttpMethodOmission()

  Removes the `http-method-omission` element

  Returns:
    the current instance of `WebResourceCollectionType`

### getHttpMethodOmissionList

    java.util.List<java.lang.String> getHttpMethodOmissionList()

  Returns all `http-method-omission` elements

  Returns:
    list of `http-method-omission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD